#!/bin/bash

# Here the dates are written numerically manually, and MMMDD names are 
# written into two auxiliary files - these are then edited into further scripts
#  for producing pdftk outputs

LC_ALL="C"

Ye=2024

rm MonDa.txt
rm MonDaLat.txt

for MoDa in \
01-06 \
02-04 \
03-05 \
04-04 \
05-02 \
06-01 \
06-30 \
07-30 \
08-30 \
09-28 \
10-28 \
11-26 \
12-26




do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo ${MoNDa}*.pdf \\ >>MonDa.txt
echo ${MoNDa}\${LA}.pdf \\ >>MonDaLat.txt

done
