# Assembling all all-sky maps for a given latitude to a single pdf
#  The dates have been written manually, it might be nice to produce them 
#  by adapting the allsky.sh script

# each new year, the sets of dates and of *.pdf for pdftk, below, are to be renewed. 
#  By dates.txt and by MonDaLat.txt

LC_ALL="C"

Ye=2024

mkdir latitudes

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}A
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 

for MoDa in \
01-06 \
02-04 \
03-05 \
04-04 \
05-02 \
06-01 \
06-30 \
07-30 \
08-30 \
09-28 \
10-28 \
11-26 \
12-26


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
#echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
#echo ${MoNDa}*.pdf \\ >>MonDa.txt

  
    if [ -f ../../$MoNDa/A/$LA.pdf ] 
    then
    ln -s ../../$MoNDa/A/$LA.pdf  ${MoNDa}${LA}.pdf 
    fi
done
  
   pdftk \
Jan06${LA}.pdf \
Feb04${LA}.pdf \
Mar05${LA}.pdf \
Apr04${LA}.pdf \
May02${LA}.pdf \
Jun01${LA}.pdf \
Jun30${LA}.pdf \
Jul30${LA}.pdf \
Aug30${LA}.pdf \
Sep28${LA}.pdf \
Oct28${LA}.pdf \
Nov26${LA}.pdf \
Dec26${LA}.pdf \
cat output ${LA}.pdf

    rm \
Jan06${LA}.pdf \
Feb04${LA}.pdf \
Mar05${LA}.pdf \
Apr04${LA}.pdf \
May02${LA}.pdf \
Jun01${LA}.pdf \
Jun30${LA}.pdf \
Jul30${LA}.pdf \
Aug30${LA}.pdf \
Sep28${LA}.pdf \
Oct28${LA}.pdf \
Nov26${LA}.pdf \
Dec26${LA}.pdf 

  cd ..

 done

cd ..
